Widgets

Get widget details

Use this method to obtain detailed information about a specific widget.

GET
/api/v2/my/widgets/{widgetId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

widgetId*integer

The widget identifier.

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/widgets/1" \  -H "accept-language: ja"
{  "id": 1,  "caption": "Ticker Widget MT5",  "name": "tickerWidgetMt5",  "sort": 7,  "delete": true,  "showByDefault": true,  "width": 1,  "height": 1,  "positionX": 1,  "positionY": 1,  "entity": {    "id": 1,    "platform": "mt5",    "source": "https://data-stream.flexdns.org",    "symbols": [      {        "id": 1,        "show": true,        "symbol": "EURUSD"      }    ]  }}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}